GrailsFlowHandlerMapping (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.mvc.servlet
[Java] Class GrailsFlowHandlerMapping

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.handler.AbstractHandlerMapping
                  org.codehaus.groovy.grails.web.servlet.GrailsControllerHandlerMapping
                      org.codehaus.groovy.grails.webflow.mvc.servlet.GrailsFlowHandlerMapping

    public class GrailsFlowHandlerMapping
    extends GrailsControllerHandlerMapping

A HandlerMapping implementation that maps Grails controller classes onto flows.

Authors:
  Graeme Rocher

Since:
  1.2

Field Summary

Fields inherited from class GrailsControllerHandlerMapping
MAIN_CONTROLLER_BEAN

Fields inherited from class org.springframework.web.servlet.handler.AbstractHandlerMapping
PATH_WITHIN_HANDLER_MAPPING_ATTRIBUTE, BEST_MATCHING_PATTERN_ATTRIBUTE, INTROSPECT_TYPE_LEVEL_MAPPING, URI_TEMPLATE_VARIABLES_ATTRIBUTE, PRODUCIBLE_MEDIA_TYPES_ATTRIBUTE, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE

Method Summary
`protected java.lang.Object` | `getHandlerForControllerClass(GrailsControllerClass controllerClass, javax.servlet.http.HttpServletRequest request)`

Methods inherited from class GrailsControllerHandlerMapping
establishInterceptors, establishInterceptors, extendInterceptors, getHandlerExecutionChain, getHandlerForControllerClass, getHandlerInternal, lookupInterceptors, setGrailsApplication

Methods inherited from class org.springframework.web.servlet.handler.AbstractHandlerMapping
org.springframework.web.servlet.handler.AbstractHandlerMapping#getHandler(javax.servlet.http.HttpServletRequest), org.springframework.web.servlet.handler.AbstractHandlerMapping#getPathMatcher(), org.springframework.web.servlet.handler.AbstractHandlerMapping#setAlwaysUseFullPath(boolean), org.springframework.web.servlet.handler.AbstractHandlerMapping#setUrlPathHelper(org.springframework.web.util.UrlPathHelper), org.springframework.web.servlet.handler.AbstractHandlerMapping#getUrlPathHelper(), org.springframework.web.servlet.handler.AbstractHandlerMapping#setUrlDecode(boolean), org.springframework.web.servlet.handler.AbstractHandlerMapping#setOrder(int), org.springframework.web.servlet.handler.AbstractHandlerMapping#getOrder(), org.springframework.web.servlet.handler.AbstractHandlerMapping#setDefaultHandler(java.lang.Object), org.springframework.web.servlet.handler.AbstractHandlerMapping#getDefaultHandler(), org.springframework.web.servlet.handler.AbstractHandlerMapping#setPathMatcher(org.springframework.util.PathMatcher), org.springframework.web.servlet.handler.AbstractHandlerMapping#setInterceptors([Ljava.lang.Object;), org.springframework.web.servlet.handler.AbstractHandlerMapping#setServletContext(javax.servlet.ServletContext), org.springframework.web.servlet.handler.AbstractHandlerMapping#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.servlet.handler.AbstractHandlerMapping#getApplicationContext(), org.springframework.web.servlet.handler.AbstractHandlerMapping#wait(), org.springframework.web.servlet.handler.AbstractHandlerMapping#wait(long, int), org.springframework.web.servlet.handler.AbstractHandlerMapping#wait(long), org.springframework.web.servlet.handler.AbstractHandlerMapping#equals(java.lang.Object), org.springframework.web.servlet.handler.AbstractHandlerMapping#toString(), org.springframework.web.servlet.handler.AbstractHandlerMapping#hashCode(), org.springframework.web.servlet.handler.AbstractHandlerMapping#getClass(), org.springframework.web.servlet.handler.AbstractHandlerMapping#notify(), org.springframework.web.servlet.handler.AbstractHandlerMapping#notifyAll()

Method Detail

### getHandlerForControllerClass

    @Override
    protected java.lang.Object getHandlerForControllerClass(GrailsControllerClass controllerClass, javax.servlet.http.HttpServletRequest request)

Groovy Documentation